Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## superwaba.ext.xplat.util.crypto
Class SHA1

    java.lang.Object
      |
      +--superwaba.ext.xplat.util.crypto.SHA1

public class SHA1
extends Object

SHA-1 message digest implementation

Field Summary
`static int` | `DIGEST_SIZE` size of a SHA-1 digest in octets

Constructor Summary
`SHA1()` constructor

Method Summary
`void` | `clear()` clears all data, use reset() to start again
`void` | `finalize()` finalizes the digest
`byte[]` | `getDigest()` gets the digest
`void` | `reset()` initializes or resets the hasher for a new session respectively
`boolean` | `selfTest()` runs a selftest
`String` | `toString()` makes a binhex string representation of the current digest
`void` | `update(byte bB)` adds a single byte to the digest
`void` | `update(byte[] data)` adds a byte array to the digest
`void` | `update(String sData)` adds an ASCII string to the digest

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, wait, wait`

Field Detail

### DIGEST_SIZE

    public static final int DIGEST_SIZE

  size of a SHA-1 digest in octets

Constructor Detail

### SHA1

    public SHA1()

  constructor

Method Detail

### clear

    public void clear()

  clears all data, use reset() to start again

### reset

    public void reset()

  initializes or resets the hasher for a new session respectively

### update

    public void update(byte bB)

  adds a single byte to the digest

### update

    public void update(byte[] data)

  adds a byte array to the digest

### update

    public void update(String sData)

  adds an ASCII string to the digest

### finalize

    public void finalize()

  finalizes the digest

### getDigest

    public byte[] getDigest()

  gets the digest
  Returns:
    the digst bytes as an array if DIGEST_SIZE bytes

### toString

    public String toString()

  makes a binhex string representation of the current digest
  Overrides:
    toString in class Object
  Returns:
    the string representation

### selfTest

    public boolean selfTest()

  runs a selftest
  Returns:
    true: selftest passed / false: selftest failed

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD